#!/usr/bin/python

import json

from autobahn.websocket import WebSocketServerFactory, \
                               WebSocketServerProtocol, \
                               listenWS

class BroadcastServerProtocol(WebSocketServerProtocol):
  def onOpen(self):
    self.factory.register(self)

  def connectionLost(self, reason):
    WebSocketServerProtocol.connectionLost(self, reason)
    self.factory.unregister(self)

  def onMessage(self, msg, binary):
    for key, value in json.loads(msg).iteritems():
      if key == "x":
        if 0 <= value <= 180:
          ...
      if key == "y":
        if 0 <= value <= 180:
          ...

if __name__ == '__main__':
  ServerFactory = BroadcastServerFactory
  factory = ServerFactory("ws://localhost:9000")
  factory.protocol = BroadcastServerProtocol
  factory.setProtocolOptions(allowHixie76 = True)
  listenWS(factory)

